<?php
/*
    This file is part of CSS:Portal.

    Written by Jonathan Levine <jxl180@gmail.com>
    Copyright 2009 Jonathan Levine
    
    CSS:Portal is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    CSS:Portal is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with CSS:Portal.  If not, see <http://www.gnu.org/licenses/>.
	
	The full copy of the GNU General Public License is saved as COPY in CSS:Portal's top directory.
*/

session_start();
include('includes/connect.inc.php');
if(!isset($_SESSION['username']))
{
	header("location:login.php");
}
if(file_exists('install/'))
{
	die('Once installation is complete, the install directory must be erased from the webserver.');
}
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
<head>

<meta name="Description" content="Information architecture, Web Design, Web Standards." />
<meta name="Keywords" content="your, keywords" />
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
<meta name="Distribution" content="Global" />
<meta name="Author" content="Erwin Aligam - ealigam@gmail.com" />
<meta name="Robots" content="index,follow" />
<script type="text/javascript" src="javascripts/prototype.js"></script>
<script type="text/javascript" src="javascripts/scriptaculous.js?load=effects"></script>
<script src="javascripts/scriptaculous.js" type="text/javascript"></script>
<script src="javascripts/modalbox/modalbox.js" type="text/javascript"></script>
<link rel="stylesheet" href="javascripts/modalbox/modalbox.css" type="text/css" media="screen" />
<link rel="stylesheet" href="images/Refresh.css" type="text/css" />

<title>CSS:Portal</title>

	
</head>

<body>
<!-- wrap starts here -->
<div id="wrap">
		
		<!--header -->
		<div id="header">			
				
			<h1 id="logo-text">CSS<span class="gray">Portal</span></h1>
				
			<form class="search" method="post" action="#">
			<?php include('includes/livetime.inc.php'); ?>
			</form>			
				
		</div>
		
		<!-- menu -->	
		<div  id="menu">
			<ul>
				<li><a href="index.php">Home</a></li>
				<li id="current"><a href="admin.php">Admin</a></li>
				<li><a href="index.html">Support</a></li>
				<li><a href="http://www.eventscripts.com">Eventscripts</a></li>
				<li><a href="http://forums.eventscripts.com/index.php">ES Forum</a></li>	
			</ul>
		</div>					
			
		<!-- content-wrap starts here -->
		<div id="content-wrap">
				
			<?php include('includes/sidemenu.inc.php'); ?>
            
			<div id="main">
            
				<a name="main"></a>
				<h1>CSS:Portal</h1>
                <h2><li>Note</li></h2>
				Servers and admins can only be added/removed by the main admin.
                
                <?php
			if(isset($_SESSION['id']))
			{
				if($_SESSION['id']==1)
				{
					echo '<fieldset><legend>Management</legend><br />';
					$sql="SELECT * FROM cssp_users ORDER BY id ASC";
					$query=mysql_query($sql);
					$count=mysql_num_rows($query);
					if($count==0)
					{
				echo '<center><table><tr><td>No admins have been added</td></tr></table></center>';
					}
					else
					{
						echo '
						<center><table border="1" cellspacing="0" width="75%">
						<tr><td colspan="100%" align="center">Admins</td></tr>
						<tr>
						<td align="center">Username</td>
						<td align="center">SteamID</td>
						<td align="center"></td>
						</tr>';
						while($row=mysql_fetch_array($query))
						{
							echo '
							<tr>
							<td align="center">'. $row['username'] .'</td>
							<td align="center">'. $row['steamid'] .'</td>
							<td align="center"><a href="deladmin.php?id='. $row['id'] .'" title="Remove Admin" onclick="Modalbox.show(this.href, {title: this.title, width: \'830\', height: \'100%\', afterHide: function() { window.location.reload()}}); return false;">Remove</a></td>
							</tr>';
						}
						echo '</table></center>';
					}
					echo '<br /></fieldset>';
				}
			}
			?>
			</div>
		<!-- content-wrap ends here -->	
		</div>
					
		<!--footer starts here-->
		<?php include('includes/footer.inc.php'); ?>

<!-- wrap ends here -->
</div>

</body>
</html>
